Announcement

Collapse
No announcement yet.

IRMAN plugin

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • IRMAN plugin

    Has anyone got the irman device working with streetdeck? I've tried using the irman.dll from the evation.com website, but the plugin doesn't load (probably because it is designed for girder 3). This is the error I get:

    WARNING: CPlugin::Init - Invalid plugin (irman.dll)! Function (gir_event) not found while initializing dll!
    WARNING: CPlugin::Init - Invalid plugin (irman.dll)! Function (gir_command_changed) not found while initializing dll!
    WARNING: CPlugin::Init - Invalid plugin (irman.dll)! Function (gir_command_gui) not found while initializing dll!
    WARNING: CPlugin::Init - Invalid plugin (irman.dll)! Function (gir_start) not found while initializing dll!
    WARNING: CPlugin::Init - Invalid plugin (irman.dll)! Function (gir_stop) not found while initializing dll!
    WARNING: CPlugin::Init - Invalid plugin (irman.dll)! Function (gir_open2) not found while initializing dll!
    WARNING: CPlugin::Init - Invalid plugin (irman.dll)! Function (gir_open) not found while initializing dll!
    WARNING: CPlugin::Init - Invalid plugin (irman.dll)! Function (gir_close) not found while initializing dll!
    WARNING: CPlugin::Init - Invalid plugin (irman.dll)! Function (gir_requested_api) not found while initializing dll!
    WARNING: CPlugin::Init - Invalid plugin (irman.dll)! Function (gir_devicenum) not found while initializing dll!
    WARNING: CPlugin::Init - Invalid plugin (irman.dll)! Function (gir_description) not found while initializing dll!
    WARNING: CPlugin::Init - Invalid plugin (irman.dll)! Function (gir_name) not found while initializing dll!
    WARNING: CPlugin::Init - Invalid plugin (irman.dll)! Function (gir_version) not found while initializing dll!
    WARNING: CPlugin::Init - Invalid plugin (irman.dll)! Function (gir_info) not found while initializing dll!

    I also tried using the UIR plugin but I get this error:

    WARNING: CPluginBag::GetPlugin - LoadLibrary - The specified module could not be found.0000007e
    WARNING: CPluginBag::GetPlugin - Could not load plugin (C:\Documents and Settings\AutoPC_A\My Documents\StreetDeck\Plugins\Input\uir.dll)!

    I've tried just about everything with no success, so any help would be much appreciated!

  • #2
    girder 3 plugins won't work.

    the uir plugin probably needs another dependancy you haven't installed. You shoudl use dependancy walker on the dll to figure out what else it needs:
    http://www.dependencywalker.com/
    StreetDeck.com Developer (I am Chuck)
    Get StreetDeck at http://www.streetdeck.com
    The Official StreetDeck Forums have moved, please visit us at http://www.streetdeck.com/forum for official support for Streetdeck.

    Comment


    • #3
      Frustrated

      Thanks for the tip, I did find out that there were some dependencies that apparently are required for later version of girder. I have tried to find a uir.dll file that is compatible with streetdeck, but no luck. I'm quite frustrated at this point. I would just like to know what ir device does work well with streetdeck so I can just buy it.

      Comment


      • #4
        Usb-uirt

        I ended up using the USB UIRT remote, and I got street deck to recognize it, but I have another problem. When I press a button, it repeats to quickly. Is there a way to set it so that a button doesn't repeat at all. When I click on the "configure" button under Input Plugin screen, street deck crashes.

        Comment

        Working...
        X